function [res] = mellin_NormR(yy,V,r) ;

% Norm associated to the dilation group (D_a Z)(v)=a^(r+1) Z(av)
% [res] = mellin_NormR(yy,V,r) ;
%
% INPUT	yy = signal
%	V = time vector 
%	r = amplitude parameter
%	  (r=-H-1 if H is exponent of self-similarity)
%
% OUTPUT res = resulting norm
%
% Example:
% res = mellin_NormR(yy,V,r) ;
%
% pborgnat - februray 2000
%

%Norme associee au groupe de dilatation D_a(Z) = a^(r+1) Z(av)
%INPUT: yy signal
%       V vecteur des temps corespondants
%       r parametre de dilatation
%
%OUTPUT: res resultat
%
%example: res = NormR(yy,V,r) ;
%(pborgnat fevrier 2000)

%Remarque: r=-0.5 donne le meme resultat que norm !

Ny = length(yy) ;
Nv = length(V) ;
if Ny~=Nv,
  error('Signal yy and time V should have same length') ;
end
diffV = [diff(V) (V(Nv)-V(Nv-1))] ;
expnorm = 2*r+1 ;
res = real(sqrt(yy*(yy.*(V.^expnorm).*diffV)')) ;


